mes_1 = 0.00001; 
mes_2 = 0.00005; 

// parameters

thickness = 0.0002;
hole_radius = 0.003;
disk_radius = 0.006;
corner_radius = 0.0001;

// Disk

Point(1) = {0, 0, 0, mes_2};
Point(2) = {0, thickness, 0, mes_2};
Point(3) = {hole_radius + corner_radius, thickness, 0, mes_2};
Point(4) = {disk_radius, thickness, 0, mes_2};
Point(5) = {disk_radius, 0, 0, mes_2};
Point(6) = {hole_radius + corner_radius, 0, 0, mes_1};

Line(1) = {1, 2};
Line(2) = {2, 3};
Line(3) = {3, 4};
Line(4) = {4, 5};
Line(5) = {5, 6};
Line(6) = {6, 1};
Line(7) = {3, 6};

// Curve Loop(1) = {1, 2, 7, 6};
// Curve Loop(2) = {3, 4, 5, -7};
Curve Loop(1) = {1, 2, 3, 4, 5, 6};

Plane Surface(1) = {1};
// Plane Surface(2) = {2};

Physical Curve("CenterLine") = {1};
Physical Curve("Top") = {2};
Physical Curve("Bottom") = {5, 6};

// Physical Surface("Disk") = {1, 2};
Physical Surface("Disk") = {1};

// Hole

Point(7) = {disk_radius, -0.0002, 0, mes_2};
Point(8) = {hole_radius, -0.0002, 0, mes_2};
Point(9) = {hole_radius, -corner_radius, 0, mes_1};
Point(10) = {hole_radius + corner_radius, -corner_radius, 0, mes_1};
Point(11) = {hole_radius + corner_radius, 0, 0, mes_1};
Point(12) = {disk_radius, 0, 0, mes_2};

Line(8) = {12, 7};
Line(9) = {7, 8};
Line(10) = {8, 9};
Circle(11) = {9, 10, 11};
Line(12) = {11, 12};

Curve Loop(2) = {8, 9, 10, 11, 12};

Plane Surface(2) = {2};

Physical Curve("Edge") = {10, 11, 12};
Physical Curve("Wall") = {8, 9};
Physical Surface("Hole") = {2};

// gmsh disk_hole.geo -3 -order 2 -format unv
// ElmerGrid 8 2 disk_hole.unv -autoclean

// or

// gmsh disk_hole.geo -3 -order 2
// ElmerGrid 14 2 disk_hole.msh -autoclean



